
Foreman - Bug #4005

allow Rabl.render(object, 'something/show') to work

01/13/2014 05:04 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The json methods of models should call the rabl render. However, it seems that there are several issues preventing this:

1) Unsure, but are engine rabl view paths getting added?

2) foreman/config/initializers/rabl_init is depending on params and other controller attributes, preventing successful render

Related issues:

Blocks Plugins - Feature #3843: Host-level parameters not passed to hooks via... Closed 12/10/2013

Associated revisions

Revision 858708c4 - 01/27/2014 03:30 PM - Dominic Cleal

fixes #4005 - ensure standalone Rabl.render works outside of a controller

Revision 9a3248b3 - 01/28/2014 01:00 PM - Dominic Cleal

fixes #4005 - ensure standalone Rabl.render works outside of a controller

(cherry picked from commit 858708c466398ac5f42bb1bb0fd6c1e531e31385)

History

#1 - 01/13/2014 05:16 PM - Dominic Cleal

- Blocks Feature #3843: Host-level parameters not passed to hooks via json added

#2 - 01/21/2014 09:44 PM - Dominic Cleal

- Category set to API

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Target version set to 1.9.2

https://github.com/theforeman/foreman/pull/1182

#3 - 01/27/2014 03:37 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#4 - 01/27/2014 04:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 858708c466398ac5f42bb1bb0fd6c1e531e31385.
